Crypto++ 8.4 Free C++ class library of cryptographic schemes

Public Member Functions | List of all members
CipherModeFinalTemplate_ExternalCipher< BASE > Class Template Reference
Inheritance diagram for CipherModeFinalTemplate_ExternalCipher< BASE >:

## Public Member Functions
| CipherModeFinalTemplate_ExternalCipher ()
| Construct a default CipherModeFinalTemplate. More...
| CipherModeFinalTemplate_ExternalCipher (BlockCipher &cipher)
| Construct a CipherModeFinalTemplate. More...
| CipherModeFinalTemplate_ExternalCipher (BlockCipher &cipher, const byte *iv, int feedbackSize=0)
| Construct a CipherModeFinalTemplate. More...
std::string | AlgorithmName () const
| Provides the name of this algorithm. More...
std::string | AlgorithmProvider () const

## Detailed Description

### template<class BASE>
class CipherModeFinalTemplate_ExternalCipher< BASE >

Template Parameters

  BASE | CipherModeFinalTemplate_CipherHolder base class

Base class for external mode cipher combinations

Definition at line 409 of file modes.h.

## Constructor & Destructor Documentation

## ◆ CipherModeFinalTemplate_ExternalCipher() [1/3]

template<class BASE >

CipherModeFinalTemplate_ExternalCipher< BASE >::CipherModeFinalTemplate_ExternalCipher | ( |  | ) |
| inline

Construct a default CipherModeFinalTemplate.

The cipher is not keyed.

Definition at line 414 of file modes.h.

## ◆ CipherModeFinalTemplate_ExternalCipher() [2/3]

template<class BASE >

CipherModeFinalTemplate_ExternalCipher< BASE >::CipherModeFinalTemplate_ExternalCipher | ( | BlockCipher & | cipher | ) |
| inline

Construct a CipherModeFinalTemplate.

Parameters

  cipher | An external block cipher

The cipher should be keyed.

Definition at line 419 of file modes.h.

## ◆ CipherModeFinalTemplate_ExternalCipher() [3/3]

template<class BASE >

CipherModeFinalTemplate_ExternalCipher< BASE >::CipherModeFinalTemplate_ExternalCipher | ( | BlockCipher & | cipher,
|  | const byte * | iv,
|  | int | feedbackSize = `0`
| ) |  |
| inline

Construct a CipherModeFinalTemplate.

Parameters

  cipher | An external block cipher
  iv | a byte array used to resynchronize the cipher
  feedbackSize | the feedback size, in bytes

The cipher should be keyed.

Definition at line 427 of file modes.h.

## Member Function Documentation

## ◆ AlgorithmName()

template<class BASE >

std::string CipherModeFinalTemplate_ExternalCipher< BASE >::AlgorithmName | ( |  | ) | const
| inline

Provides the name of this algorithm.

Returns
  the standard algorithm name

The standard algorithm name can be a name like AES or AES/GCM. Some algorithms do not have standard names yet. For example, there is no standard algorithm name for Shoup's ECIES.

Note
  AlgorithmName is not universally implemented yet

Definition at line 436 of file modes.h.

The documentation for this class was generated from the following file:

- modes.h